Page MenuHomePhabricator

Line height jumps when focusing WikiEditor in Internet Explorer 9
Closed, ResolvedPublic

Description

Author: mr.heat

Description:
It seems this is not a problem in Internet Explorer 8. It happens only in Internet Explorer 9 as far as I know.

What happens:

  • Edit a page. The WikiEditor loads. Everything looks nice.
  • Click inside the edit window.
  • The text in the edit window is re-rendered and "jumps" down. This is because the line height is increased. It looks like there is an onfocus handler that sets a much larger line-height CSS style. Not sure why this happens. I did not looked at the JavaScript source.

I'm talking about the new extended WikiEditor that is the default since several months.

Other users confirmed the problem:
http://de.wikipedia.org/wiki/Wikipedia:Fragen_zur_Wikipedia#Gr.C3.B6.C3.9Fe_der_Schrift_.C3.A4ndert_sich_beim_anklicken_im_Editierfeld


Version: master
Severity: minor
Platform: PC
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=19334

Details

Reference
bz47708

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:41 AM
bzimport set Reference to bz47708.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 26 2013, 7:04 AM

mr.heat wrote:

Maybe related to bug 19334 but not a duplicate. In this page the edit window does not scroll down. The only thing that changes is the line height.

TheDJ added a comment.Apr 8 2014, 3:41 PM

Yes indeed the text area of the WikiEditor does use a different line height. The other browser are version is also susceptible to this

We should solve this by making sure the original text area shares the same line height, if the wikieditor is going to load. Should be simple.

Change 124734 had a related patch set uploaded by TheDJ:
Prevent style jumping in WikiEditor

https://gerrit.wikimedia.org/r/124734

Change 124734 merged by jenkins-bot:
Prevent style jumping in WikiEditor

https://gerrit.wikimedia.org/r/124734

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:16 AM